@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
/* Reset básico */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
}

body {
    height: 100vh;
    background-image: url('../img/bgplimpao.png');
    background-repeat: no-repeat;
    background-size: contain;
    background-size: 100% 100%;
    overflow: hidden;
  /*background-position: center;*/
   /* padding-top: 25vh; /* espaço exato do header */
}

/* HEADER ocupa 30% da tela */
.header {
    height: 30vh;
    width: 100%;

    position: fixed; /* fixa no topo */
    top: 0;
    left: 0;
    z-index: 1000;
    /*background-size: cover;    /* Preenche totalmente, pode cortar a imagem [7] */
    /*background-size: contain;  /* Mostra a imagem inteira, sem cortar [5] */
    /*background-size: 100%;      /* Define a largura como 50% do elemento [2] */
    /*background: linear-gradient(135deg, #e01e0c, #e61a1a);*/
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
  }

.header-content{
  display: flex;
  flex-direction: row;
  gap: 15px;
  justify-content: space-between;
}
.header h1 {
  font-size: 2.5rem;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.header p {
  font-size: 1.2rem;
  margin-top: 10px;
}

/* CONTAINER DOS CARDS */
.container {
    height: 100vh;  
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 15px;
    overflow-y: auto;
    align-items: center;
    font-family: "Poppins", sans-serif;
    font-style: normal;
    color: #fff;
  }
  #div-img{
    width: 100%;
    height: 450px;
  }

  
  .btn{
    display: flex;
    flex-direction: column;
    gap: 15px;
    justify-content: space-between;
  }
  .btn-ver-padarias{
    display: none;
    margin-top: 35px;
    border: solid 1px #fff;
    padding: 15px;
    font-size: 35px;
    width: 100%;
    border-radius: 35px;
  }
  .btn-ver-padarias:hover{
    background-color: #f23030;
  }

  .btn-instalar-app{
    background-color: #ef2323;
    margin-top: 35px;
    border: solid 1px #fff;
    padding: 15px;
    font-size: 25px;
    width: 100%;
    border-radius: 35px;
  }
  .btn-instalar-app:hover{
    background-color: #bc2727;
  }
  
/* CARD */
.card {
    width: 90%;
    height: 150px;
    background: #ffffff;
    padding: 0px 0px;
    border-radius: 20px; /* mais arredondado */
    
    display: flex;
    flex-direction: column;
    justify-content: center; /* centraliza vertical */
    align-items: center;     /* centraliza horizontal */
    text-align: center;
  
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12); /* sombra suave */
    transition: all 0.3s ease;
  }

  .card:hover {
    transform: translateY(-8px) scale(1.0);
    box-shadow: 0 12px 25px rgba(0, 0, 0, 0.18);
  }
  

  .card h3 {
    margin-bottom: 10px;
    color: #f23030;
    font-size: 1.4rem;
  }

  .card p {
    color: #555;
    font-size: 0.95rem;
    max-width: 100%;
  }

  .btn_notifica{
    width: 70%;
    font-size: 1rem;
    padding: 10px;
    margin-top: 15px;
    border: none;
    border-radius: 25px;
    background-color: #f23030;
    color: #fff;
  }
/* RESPONSIVIDADE EXTRA */
@media (max-width: 600px) {
  .header {
    height: 25vh;
  }

  .header h1 {
    font-size: 2.8rem;
  }

  .header p {
    font-size: 1rem;
  }
  #div-img{
    margin-top: 200px;
    width: 100%;
    height: 280px;
    overflow: hidden;
  }
}